Package ghidra.app.util.bin.format.dwarf4.encoding

# Class DWARFSourceLanguage

java.lang.Object
ghidra.app.util.bin.format.dwarf4.encoding.DWARFSourceLanguage

public final class DWARFSourceLanguage extends Object
DWARF source lang consts from www.dwarfstd.org/doc/DWARF4.pdf.

TODO: The PDF also lists the default lower bound for array dw_tag_subrange_type attributes based on this value.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DW_LANG_Ada83`
  `static final int`
  `DW_LANG_Ada95`
  `static final int`
  `DW_LANG_ALTIUM_Assembler`
  `static final int`
  `DW_LANG_BLISS`
  `static final int`
  `DW_LANG_BORLAND_Delphi`
  `static final int`
  `DW_LANG_C`
  `static final int`
  `DW_LANG_C_plus_plus`
  `static final int`
  `DW_LANG_C_plus_plus_03`
  `static final int`
  `DW_LANG_C_plus_plus_11`
  `static final int`
  `DW_LANG_C_plus_plus_14`
  `static final int`
  `DW_LANG_C11`
  `static final int`
  `DW_LANG_C89`
  `static final int`
  `DW_LANG_C99`
  `static final int`
  `DW_LANG_Cobol74`
  `static final int`
  `DW_LANG_Cobol85`
  `static final int`
  `DW_LANG_D`
  `static final int`
  `DW_LANG_Dylan`
  `static final int`
  `DW_LANG_Fortran03`
  `static final int`
  `DW_LANG_Fortran08`
  `static final int`
  `DW_LANG_Fortran77`
  `static final int`
  `DW_LANG_Fortran90`
  `static final int`
  `DW_LANG_Fortran95`
  `static final int`
  `DW_LANG_Go`
  `static final int`
  `DW_LANG_GOOGLE_RenderScript`
  `static final int`
  `DW_LANG_Haskell`
  `static final int`
  `DW_LANG_hi_user`
  `static final int`
  `DW_LANG_Java`
  `static final int`
  `DW_LANG_Julia`
  `static final int`
  `DW_LANG_lo_user`
  `static final int`
  `DW_LANG_Mips_Assembler`
  `static final int`
  `DW_LANG_Modula2`
  `static final int`
  `DW_LANG_Modula3`
  `static final int`
  `DW_LANG_ObjC`
  `static final int`
  `DW_LANG_ObjC_plus_plus`
  `static final int`
  `DW_LANG_OCaml`
  `static final int`
  `DW_LANG_OpenCL`
  `static final int`
  `DW_LANG_Pascal83`
  `static final int`
  `DW_LANG_PL1`
  `static final int`
  `DW_LANG_Python`
  `static final int`
  `DW_LANG_RenderScript`
  `static final int`
  `DW_LANG_Rust`
  `static final int`
  `DW_LANG_SUN_Assembler`
  `static final int`
  `DW_LANG_Swift`
  `static final int`
  `DW_LANG_UPC`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFSourceLanguage()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DW_LANG_C89

    public static final int DW_LANG_C89
    See Also:
      - Constant Field Values

  - ### DW_LANG_C

    public static final int DW_LANG_C
    See Also:
      - Constant Field Values

  - ### DW_LANG_Ada83

    public static final int DW_LANG_Ada83
    See Also:
      - Constant Field Values

  - ### DW_LANG_C_plus_plus

    public static final int DW_LANG_C_plus_plus
    See Also:
      - Constant Field Values

  - ### DW_LANG_Cobol74

    public static final int DW_LANG_Cobol74
    See Also:
      - Constant Field Values

  - ### DW_LANG_Cobol85

    public static final int DW_LANG_Cobol85
    See Also:
      - Constant Field Values

  - ### DW_LANG_Fortran77

    public static final int DW_LANG_Fortran77
    See Also:
      - Constant Field Values

  - ### DW_LANG_Fortran90

    public static final int DW_LANG_Fortran90
    See Also:
      - Constant Field Values

  - ### DW_LANG_Pascal83

    public static final int DW_LANG_Pascal83
    See Also:
      - Constant Field Values

  - ### DW_LANG_Modula2

    public static final int DW_LANG_Modula2
    See Also:
      - Constant Field Values

  - ### DW_LANG_Java

    public static final int DW_LANG_Java
    See Also:
      - Constant Field Values

  - ### DW_LANG_C99

    public static final int DW_LANG_C99
    See Also:
      - Constant Field Values

  - ### DW_LANG_Ada95

    public static final int DW_LANG_Ada95
    See Also:
      - Constant Field Values

  - ### DW_LANG_Fortran95

    public static final int DW_LANG_Fortran95
    See Also:
      - Constant Field Values

  - ### DW_LANG_PL1

    public static final int DW_LANG_PL1
    See Also:
      - Constant Field Values

  - ### DW_LANG_ObjC

    public static final int DW_LANG_ObjC
    See Also:
      - Constant Field Values

  - ### DW_LANG_ObjC_plus_plus

    public static final int DW_LANG_ObjC_plus_plus
    See Also:
      - Constant Field Values

  - ### DW_LANG_UPC

    public static final int DW_LANG_UPC
    See Also:
      - Constant Field Values

  - ### DW_LANG_D

    public static final int DW_LANG_D
    See Also:
      - Constant Field Values

  - ### DW_LANG_Python

    public static final int DW_LANG_Python
    See Also:
      - Constant Field Values

  - ### DW_LANG_OpenCL

    public static final int DW_LANG_OpenCL
    See Also:
      - Constant Field Values

  - ### DW_LANG_Go

    public static final int DW_LANG_Go
    See Also:
      - Constant Field Values

  - ### DW_LANG_Modula3

    public static final int DW_LANG_Modula3
    See Also:
      - Constant Field Values

  - ### DW_LANG_Haskell

    public static final int DW_LANG_Haskell
    See Also:
      - Constant Field Values

  - ### DW_LANG_C_plus_plus_03

    public static final int DW_LANG_C_plus_plus_03
    See Also:
      - Constant Field Values

  - ### DW_LANG_C_plus_plus_11

    public static final int DW_LANG_C_plus_plus_11
    See Also:
      - Constant Field Values

  - ### DW_LANG_OCaml

    public static final int DW_LANG_OCaml
    See Also:
      - Constant Field Values

  - ### DW_LANG_Rust

    public static final int DW_LANG_Rust
    See Also:
      - Constant Field Values

  - ### DW_LANG_C11

    public static final int DW_LANG_C11
    See Also:
      - Constant Field Values

  - ### DW_LANG_Swift

    public static final int DW_LANG_Swift
    See Also:
      - Constant Field Values

  - ### DW_LANG_Julia

    public static final int DW_LANG_Julia
    See Also:
      - Constant Field Values

  - ### DW_LANG_Dylan

    public static final int DW_LANG_Dylan
    See Also:
      - Constant Field Values

  - ### DW_LANG_C_plus_plus_14

    public static final int DW_LANG_C_plus_plus_14
    See Also:
      - Constant Field Values

  - ### DW_LANG_Fortran03

    public static final int DW_LANG_Fortran03
    See Also:
      - Constant Field Values

  - ### DW_LANG_Fortran08

    public static final int DW_LANG_Fortran08
    See Also:
      - Constant Field Values

  - ### DW_LANG_RenderScript

    public static final int DW_LANG_RenderScript
    See Also:
      - Constant Field Values

  - ### DW_LANG_BLISS

    public static final int DW_LANG_BLISS
    See Also:
      - Constant Field Values

  - ### DW_LANG_lo_user

    public static final int DW_LANG_lo_user
    See Also:
      - Constant Field Values

  - ### DW_LANG_hi_user

    public static final int DW_LANG_hi_user
    See Also:
      - Constant Field Values

  - ### DW_LANG_Mips_Assembler

    public static final int DW_LANG_Mips_Assembler
    See Also:
      - Constant Field Values

  - ### DW_LANG_GOOGLE_RenderScript

    public static final int DW_LANG_GOOGLE_RenderScript
    See Also:
      - Constant Field Values

  - ### DW_LANG_SUN_Assembler

    public static final int DW_LANG_SUN_Assembler
    See Also:
      - Constant Field Values

  - ### DW_LANG_ALTIUM_Assembler

    public static final int DW_LANG_ALTIUM_Assembler
    See Also:
      - Constant Field Values

  - ### DW_LANG_BORLAND_Delphi

    public static final int DW_LANG_BORLAND_Delphi
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DWARFSourceLanguage

    public DWARFSourceLanguage()